slepc-3.21.1 2024-04-26
Report Typos and Errors

# STPrecondSetKSPHasMat

Sets a flag indicating that during STSetUp the coefficient matrix of the KSP linear solver (A) must be set to be the same matrix as the preconditioner (P).

### Synopsis

    #include "slepcst.h"
    PetscErrorCode STPrecondSetKSPHasMat(ST st,PetscBool ksphasmat)

Collective

### Input Parameters

| st | - the spectral transformation context
| ksphasmat | - the flag

### Notes

Often, the preconditioner matrix is used only in the PC object, but in some solvers this matrix must be provided also as the A-matrix in the KSP object.

### See Also

STPrecondGetKSPHasMat(), STSetShift()

### Level

developer

### Location

src/sys/classes/st/impls/precond/precond.c
Index of all ST routines
Table of Contents for all manual pages
Index of all manual pages